#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-zc.lockfile.spec)

%define		module		zc.lockfile
Summary:	Basic inter-process locks
Summary(pl.UTF-8):	Podstawowe blokady pomiędzy procesami 
Name:		python-%{module}
# keep 2.x here for python2 support
Version:	2.0
Release:	2
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zc.lockfile/
Source0:	https://files.pythonhosted.org/packages/source/z/zc.lockfile/%{module}-%{version}.tar.gz
# Source0-md5:	3895445752278ddcc4578658c3c9a492
URL:		https://pypi.org/project/zc.lockfile
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-mock
BuildRequires:	python-zope.testing
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testing
%endif
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically
to lock files, but to simply provide locks with an implementation
based on file-locking primitives. Of course, these locks could be
used to mediate access to other files. For example, the ZODB file
storage implementation uses file locks to mediate access to
file-storage database files. The database files and lock file files
are separate files.

%description -l pl.UTF-8
Pakiet zc.lockfile zapewnia podstawową, przenośną implementację
blokad międzyprocesowych przy użyciu plików blokad. Celem nie jest
samo blokowanie plików, ale po prostu zapewnienie blokad z
implementacją opartą na blokowaniu plików. Oczywiście te blokady mogą
służyć do negocjowania dostępu do innych plików. Na przykład
implementacja przechowywania danych w plikach ZODB wykorzystuje
blokady plikowe do negocjowania dostępu do plików baz danych. Pliki
baz danych i pliki blokad to osobne pliki.

%package -n python3-%{module}
Summary:	Basic inter-process locks
Summary(pl.UTF-8):	Podstawowe blokady pomiędzy procesami 
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically
to lock files, but to simply provide locks with an implementation
based on file-locking primitives. Of course, these locks could be
used to mediate access to other files. For example, the ZODB file
storage implementation uses file locks to mediate access to
file-storage database files. The database files and lock file files
are separate files.

%description -n python3-%{module} -l pl.UTF-8
Pakiet zc.lockfile zapewnia podstawową, przenośną implementację
blokad międzyprocesowych przy użyciu plików blokad. Celem nie jest
samo blokowanie plików, ale po prostu zapewnienie blokad z
implementacją opartą na blokowaniu plików. Oczywiście te blokady mogą
służyć do negocjowania dostępu do innych plików. Na przykład
implementacja przechowywania danych w plikach ZODB wykorzystuje
blokady plikowe do negocjowania dostępu do plików baz danych. Pliki
baz danych i pliki blokad to osobne pliki.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/zc/lockfile/tests.py*
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zc/lockfile/tests.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zc/lockfile/__pycache__/tests.*.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py_sitescriptdir}/zc
%{py_sitescriptdir}/zc/lockfile
%{py_sitescriptdir}/zc.lockfile-%{version}-py*.egg-info
%{py_sitescriptdir}/zc.lockfile-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%dir %{py3_sitescriptdir}/zc
%{py3_sitescriptdir}/zc/lockfile
%{py3_sitescriptdir}/zc.lockfile-%{version}-py*.egg-info
%{py3_sitescriptdir}/zc.lockfile-%{version}-py*-nspkg.pth
%endif
%changelog
* Sun May 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zc.lockfile.git;a=log;h=master

* Sun May 18 2025 Jakub Bogusz <qboosh@pld-linux.org> d3dc0bd
- remove tests from binary package; release 2

* Sat May 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 545b26b
- disable python3 here

* Sat May 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 949a850
- updated to 2.0, finished packaging

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8a3a64b
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 65c05da
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a69a076
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 94c893b
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> f6009c2
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 058b68d
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 67fb9fa
- release 2 (by relup.sh)

* Sun Nov 12 2017 Mateusz Korniak <matkor@pld-linux.org> ed3256b
- Rel 1. Works for me.

* Sun Nov 12 2017 Mateusz Korniak <matkor@pld-linux.org> b74b751
- Initial 1.2.1.

